import java.util.*;

public class Portofolio
{
	public static void main(String[] args){
		ArrayList<Asset> myPortofolio = new ArrayList<Asset>();
		myPortofolio.add(new Cash(1000));
		Stock msft = new DividendStock("MSFT", 100, 39.5);
		myPortofolio.add(msft);
		MutualFund fund = new MutualFund("FUND", 10.5, 30);
		myPortofolio.add(fund);
		fund.setCurrentPrice(40);
		fund.purchase(3.5, 40);
		msft.setCurrentPrice(40);
		Stock appl = new Stock("APPL", 10, 100);
		myPortofolio.add(appl);
		appl.setCurrentPrice(97);
		double totalValue = 0;
		double totalProfit = 0;
		for (Asset a:myPortofolio){
			System.out.println(a+"\n");
			totalValue += a.getMarketValue();
			totalProfit += a.getProfit();
		}
		System.out.println("\nTotal value = "+ totalValue);
		System.out.println("Total profit = "+ totalProfit);
	}
}